﻿using AutoMapper;
using System.Collections.Generic;

namespace COA.EnterpriseServices.DataAccess.Helpers
{
    public class ClientHelper
    {
        private readonly DataAccessManager<Entities.Client> clientDataAccess;

        public ClientHelper(DataAccessManager<Entities.Client> clientDataAccess, IMapper mapper)
        {
            this.clientDataAccess = clientDataAccess;
        }

        public ICollection<Entities.Client> FindByEmail(string email)
        {
            var client = clientDataAccess.Get(c => c.Email.Equals(email));

            return client;
        }
    }
}
