﻿using System;

namespace COA.EnterpriseServices.DataAccess.Entities
{
    public class Creditor : IRecord
    {
        public int Id { get; set; }
        public DateTime Created { get; set; } = DateTime.Now;
        public DateTime Modified { get; set; }
        public string Status { get; set; }
        public string ClientFirstName { get; set; }
        public string ClientLastName { get; set; }
        public int CurrentCreditorProfileId { get; set; }
        public int OriginalCreditorProfileId { get; set; }
        public string AccountNumber { get; set; }
    }
}
